CRYPTO_SHASH_DIGEST(9)

NAME
crypto_shash_digest - calculate message digest for buffer

SYNOPSIS

int crypto_shash_digest(struct shash_desc * desc, const u8 * data, unsigned int len, u8 * out);

ARGUMENTS

desc
    see crypto_shash_final

data
    see crypto_shash_update

len
    see crypto_shash_update

out
    see crypto_shash_final

DESCRIPTION

This function is a “short-hand” for the function calls of crypto_shash_init, crypto_shash_update and crypto_shash_final. The parameters have the same meaning as discussed for those separate three functions.

RETURN

0 if the message digest creation was successful; < 0 if an error occurred

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT